Package org.springframework.aot.generate

# Class GeneratedMethod

java.lang.Object
org.springframework.aot.generate.GeneratedMethod

public final class GeneratedMethod extends Object
A generated method.

Since:
  6.0
Author:
  Phillip Webb, Stephane Nicoll
See Also:
  - `GeneratedMethods`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Return the generated name of the method.
`MethodReference`
`toMethodReference()`
Return a `MethodReference` to this generated method.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getName

public String getName()
Return the generated name of the method.

Returns:
  the name of the generated method

### toMethodReference

public MethodReference toMethodReference()
Return a `MethodReference` to this generated method.

Returns:
  a method reference

### toString

public String toString()

Overrides:
  `toString` in class `Object`